--- Makefile.orig	2016-01-04 13:09:58.661150785 -0800
+++ Makefile	2016-01-04 13:17:12.707621825 -0800
@@ -1,7 +1,7 @@
 #                                Makefile for libbufrex
 #
 R64 = R64
-TARGETS = all clean
+TARGETS = all clean test
 LIBRARY = libbufr$(R64).a
 SHELL=/bin/sh
 SUBDIRS = fortranC bufrdc pbio bufrtables examples
@@ -11,12 +11,14 @@
 	( echo "*************************"; \
 	  echo "*** Make in $$name "; \
 	  echo "*************************"; \
-	cd $$name ; make ; ) done
+	$(MAKE) -C $$name LIB=bufr ; ) done
+
+test :
 	./test.sh
 	tables_tools/check_tables.sh bufrtables
 
 clean   :
 	@for name in $(SUBDIRS); do\
-	( echo "*** Clean in $$name ***" ;cd $$name ; make clean ); \
+	( echo "*** Clean in $$name ***" ;$(MAKE) -C $$name clean ); \
 	done
 	rm -f $(LIBRARY)
--- examples/Makefile.in.orig	2016-01-04 13:42:39.790648703 -0800
+++ examples/Makefile.in	2016-01-04 13:45:02.384967830 -0800
@@ -16,19 +16,19 @@
 #
 #
 TARGETS  = all clean
-EXECS    = decode_bufr decode_bufr_image bufr_decode_all tdexp tdexp create_bufr
+EXECS    = decode_bufr decode_bufr_image bufr_decode_all bufr_compress tdexp create_bufr
 #
 #
 all :$(EXECS)
 
-decode_bufr: decode_bufr.o 
+decode_bufr: decode_bufr.o
 	$(FC) $(FFLAGS) -o $@ decode_bufr.o -L$(PLACE) -l$(LIB)$(R64)
 
-bufr_decode_all: bufr_decode_all.o 
-	$(FC) $(FFLAGS) -o $@ bufr_decode_all.o -L$(PLACE) -l$(LIB)$(R64) 
+bufr_decode_all: bufr_decode_all.o
+	$(FC) $(FFLAGS) -o $@ bufr_decode_all.o -L$(PLACE) -l$(LIB)$(R64)
 
-bufr_compress: bufr_compress.o 
-	$(FC) $(FFLAGS) -o $@ bufr_compress.o -L$(PLACE) -l$(LIB)$(R64) 
+bufr_compress: bufr_compress.o
+	$(FC) $(FFLAGS) -o $@ bufr_compress.o -L$(PLACE) -l$(LIB)$(R64)
 
 bufr2crex   : bufr2crex.o
 	$(FC) $(FFLAGS) -o $@ bufr2crex.o -L$(PLACE) -l$(LIB)$(R64) -lcrex$(R64)
@@ -48,4 +48,4 @@
 clean   :
 	@for name in $(EXECS); do\
 	(rm -f $$name *.o ); \
-	done 
+	done
--- bufrtables/Makefile.orig	2016-01-04 14:03:47.292850644 -0800
+++ bufrtables/Makefile	2016-01-04 14:05:22.242500485 -0800
@@ -25,11 +25,14 @@
 OBJECTS      = $(OBJECTS.F) $(OBJECTS.c) 
 #
 #
-all:  links 
+all:  pgms links
 
 links: 
 	./clean.sh
 	./links.sh
+
+pgms: bufr2txt_tables bufr_split_tables txt2bufr_tables
+
 bufr2txt_tables: bufr2txt_tables.f
 	$(FC) $(FFLAGS) -o bufr2txt_tables bufr2txt_tables.f $(LIBRARY)
 bufr_split_tables: bufr_split_tables.f
